import getPaths from './paths'

const hotjarConfig = {
  script: '//static.hotjar.com/c/hotjar-223746.js?sv=5',
  consents: {
    purposes: [8, 9, 10],
    specialFeatureOptions: []
  }
}

const validatePath = (paths, pathToSearch) => {
  return paths?.includes(pathToSearch)
}

const initHotjarScript = () => {
  window.hj =
    window.hj ||
    function() {
      ;(window.hj.q = window.hj.q || []).push(arguments)
    }
  window._hjSettings = {hjid: 223746, hjsv: 5}
}

const getHotjarConfig = ({portal, path}) => {
  const paths = getPaths(portal)
  const isEnabled = validatePath(paths, path)
  return {
    config: {...(isEnabled && hotjarConfig)},
    initScript: isEnabled ? initHotjarScript : () => {},
    isEnabled
  }
}

export default getHotjarConfig
