import getPaths from './paths'

const optimizelyConfig = {
  script: {
    es: '//cdn.optimizely.com/js/5239650027.js',
    it: '//cdn.optimizely.com/js/8482911506.js'
  },
  consents: {
    purposes: [10],
    specialFeatureOptions: []
  }
}

const validatePath = (paths, pathToSearch) => {
  return paths?.includes(pathToSearch)
}
const getOptimizelyConfig = ({portal, path}) => {
  const paths = getPaths(portal)
  const isEnabled = validatePath(paths, path)
  return {
    config: {
      ...(isEnabled && {
        ...optimizelyConfig,
        script: optimizelyConfig.script[portal]
      })
    },
    isEnabled
  }
}

export default getOptimizelyConfig
